export
class

  CancelToken

### Hierarchy

- CancelToken

### Implements

- IDisposable

## Index

### Constructors

- constructor

### Accessors

- cancelled

### Methods

- cancel
- dispose
- registerForCancel
- reset

## Constructors

### constructor

- new CancelToken(timeout?: number): CancelToken

- - Defined in src/core/types.ts:80

  #### Parameters

  - ##### Default value timeout: number = -1

  #### Returns CancelToken

## Accessors

### cancelled

- get cancelled(): "cancelled" | "timeout"

- - Defined in src/core/types.ts:76

  #### Returns "cancelled" | "timeout"

## Methods

### cancel

- cancel(r?: CancelReason): void

- - Defined in src/core/types.ts:91

  #### Parameters

  - ##### Default value r: CancelReason = "cancelled"

  #### Returns void

### dispose

- dispose(): void

- Implementation of IDisposable.dispose

  - Defined in src/core/types.ts:106

  #### Returns void

### registerForCancel

- registerForCancel(f: function): void

- - Defined in src/core/types.ts:113

  #### Parameters

  - ##### f: function

    - - (r: CancelReason): void

      - #### Parameters

        - ##### r: CancelReason

        #### Returns void

### reset

- reset(): void

- - Defined in src/core/types.ts:101

  #### Returns void

Generated using TypeDoc